Subject: Re: [PATCH net-next v2 00/12] selftests: drv-net: convert GRO and Toeplitz tests to work for drivers in NIPA

From: Willem de Bruijn <[email-masked]>
Date: Tue, 18 Nov 2025 19:32:48 -0500

Jakub Kicinski wrote:
> On Tue, 18 Nov 2025 17:31:50 -0500 Willem de Bruijn wrote:
> > For the series:
> > 
> > Reviewed-by: Willem de Bruijn <[email-masked]>
> 
> Thanks! FWIW did some more digging just now, with the indirection table
> read from the device and disabling symmetric hash for the test (mlx5
> defaults to having it enabled) - the Toeplitz test passes on all 
> the NICs I have access to (with the caveat that I'm not able to test
> IPv4). I'll look closer at the GRO tomorrow.

Excellent. Symmetric keys makes sense. Though I would have expected
the RSS rules would be the canonical format. Another issue on IPv6 can
be whether the flowlabel is included (which it shouldn't by default).